////////////////////////////////////////////////////////////////////////
// Breeze Website Builder
// Copyright Silver Dolphin Solutions, LLC, Edward Lemmers, P.E.
// For licensing, see license.txt.
// Created: 9/21/2015	ELL

function LoadMedia(media_player)
{
	if (media_type == "audio")
	{
		$(media_player).jPlayer({
			ready: function (event) {
				$(this).jPlayer("setMedia", {
					title: audio_title,
					mp3: media_dir_rel + audio_mp3,
					m4a: media_dir_rel + audio_m4a,
					oga: media_dir_rel + audio_oga,
					webma: media_dir_rel + audio_webma,
					wav: media_dir_rel + audio_wav,
					fla: media_dir_rel + audio_fla,
					rtmpa: media_dir_rel + audio_rtmpa,
					poster: media_dir_rel + audio_poster
				});
			},
			swfPath: "./scripts/jplayer/jplayer",
			supplied: "mp3, m4a, oga, webma, wav, fla, rtmpa",
			wmode: "window",
			useStateClassSkin: true,
			autoBlur: false,
			smoothPlayBar: true,
			keyEnabled: true,
			remainingDuration: true,
			toggleDuration: true
		});
	}
	else if (media_type == "video")
	{
		$(media_player).jPlayer({
			ready: function () {
				$(this).jPlayer("setMedia", {
					title: video_title,
					m4v: media_dir_rel + video_m4v,
					ogv: media_dir_rel + video_ogv,
					webmv: media_dir_rel + video_webmv,
					flv: media_dir_rel + video_flv,
					rtmpv: media_dir_rel + video_rtmpv,
					poster: media_dir_rel + video_poster
				});
			},
			swfPath: "./scripts/jplayer/jplayer",
			supplied: "m4v, flv, ogv, webmv, rtmpv",
			size: {
				width: "640px",
				height: "360px",
				cssClass: "jp-video-360p"
			},
			useStateClassSkin: true,
			autoBlur: false,
			smoothPlayBar: true,
			keyEnabled: true,
			remainingDuration: true,
			toggleDuration: true
		});
	}
}
